SolrQuery::setFacetPrefix
SolrQuery::setHighlight
SolrQuery
PHP Manual

# SolrQuery::setFacetSort

Determines the ordering of the facet field constraints

### Description

public SolrQuery SolrQuery::setFacetSort ( int `$facetSort` [, string `$field_override` ] )

Determines the ordering of the facet field constraints

### Parameters

`facetSort`

  Use SolrQuery::FACET_SORT_INDEX for sorting by index order or SolrQuery::FACET_SORT_COUNT for sorting by count.

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.